Bug 13342 - lib/util/tests/tfork.c should not include <sys/syscall.h>
lib/util/tests/tfork.c should not include <sys/syscall.h>
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.8.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-20 16:09 UTC by Stefan Metzmacher
Modified: 2018-04-25 06:42 UTC (History)
4 users (show)

See Also:


Attachments
Patch for v4-7-test (872 bytes, patch)
2018-04-17 06:47 UTC, Stefan Metzmacher
slow: review+
bbaumbach: review+
Details
Patch for v4-8-test (872 bytes, patch)
2018-04-17 06:47 UTC, Stefan Metzmacher
slow: review+
bjacke: review+
bbaumbach: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-03-20 16:09:55 UTC
This is not needed at all and breaks the build on systems without
sys/syscall.h, e.g. AIX.
Comment 1 Stefan Metzmacher 2018-04-17 06:47:10 UTC
Created attachment 14152 [details]
Patch for v4-7-test
Comment 2 Stefan Metzmacher 2018-04-17 06:47:36 UTC
Created attachment 14153 [details]
Patch for v4-8-test
Comment 3 Karolin Seeger 2018-04-20 09:51:07 UTC
Pushed to autobuild-v4-[7,8]-test
Comment 4 Karolin Seeger 2018-04-25 06:42:48 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!